export interface ModifierMap<M extends object> {
    set<K extends keyof M>(target: object, key: string | symbol, modifier: K, value: M[K]): void;
    get<K extends keyof M>(target: object, key: string | symbol, modifier: K): M[K] | undefined;
}
export declare function createModifierMap<M extends object>(): ModifierMap<M>;
